/*
 * Updated ONLY for 6.3 (not tested on other Splunk versions)
 * Known issue: Color ranges for Marker Gauge is all black because I can't distinguish between the different <rect> in the SVG
 *   - hobbes3
 */

/* BACKGROUND */
body,
.dashboard-body,
.footer,
.dashboard-panel,
.dashboard-cell {
    background: #000 !important;
}

/* ALL LIGHT TEXT */
.dashboard-header h2,
p.description,
p.copyright,
.dashboard-panel h2,
.panel-head h3,
.nav-footer>li>a,
.form-settings,
.dashboard-panel input,
.input label,
.html {
    color: #ccc !important;
}

/* TABLE */
.table>thead>tr>th {
    background-image: linear-gradient(to bottom, #888, #666);
    color: white !important;
    text-shadow: none;
}
.table>thead>tr>th:hover {
    background-image: linear-gradient(to bottom, #666, #444) !important;
    color: white !important;
    text-shadow: none;
}
.table .sorts a {
    text-decoration: none;
    color: #ccc;
}
.table>tbody>tr>td {
    color: white;
}
.table>tbody>tr:nth-child(even):not(.highlighted)>td:not(.highlighted) {
    background-color: #666 !important;
}
.table>tbody>tr:nth-child(odd):not(.highlighted)>td:not(.highlighted) {
    background-color: #444 !important;
}
td.highlighted {
    background-color: #888 !important;
}
.highlighted td {
    background-color: #888 !important;
}

/* SVG */
.highcharts-container svg {
    background: #000;
}
.highcharts-container svg>rect:not(.block-background) {
    fill: #000 !important;
    opacity: 0.1;
}
.highcharts-container svg text:not(.single-result):not(.delta-label) {
    fill: #ccc !important;
}

/* EDIT PANELS */
.dashboard-panel input {
    background-color: #444;
}
.drag-handle a.delete-panel {
    background: #000 !important;
}